import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
export default {
    getRulesList(param){
        return axios.post(urls.rulesList,param);
    },
    getKnowledgeEnums(param){
        return axios.post(urls.getKnowledgeEnums,param);
    },
    getTypesList(param){
        return axios.post(urls.ruleTypesList,param);
    },
    getRulesApplyList(param){
        return axios.post(urls.rulesApplyList,param);
    },
    deleteRule(param){
        return axios.post(urls.ruleDelete,param);
    },
    deleteRuleApply(param){
        return axios.post(urls.ruleApplyDelete,param);
    },
    ruleDetail(param){
        return axios.post(urls.ruleDetail,param);
    },
    ruleApplyDetail(param){
        return axios.post(urls.ruleApplyDetail,param);
    },
    saveRule(param){
        return axios.post(urls.addRule,param);
    },
    saveRuleApply(param){
        return axios.post(urls.addRuleApply,param);
    },
    reloadLib() {    //医学术语命名维护-加载词库
        return axios.post(urls.reloadLib)
    },
}